Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.neighborhood »

# mvpa2.misc.neighborhood.QueryEngine

class `mvpa2.misc.neighborhood.``QueryEngine`(**kwargs)

  Basic class defining interface for querying neighborhood in a dataset

  Derived classes provide specific implementations possibly with trade-offs between generality and performance.

  TODO: extend

  Methods

  `query`(**kwargs) | Return feature ids of neighbors given a specific query
  `query_byid`(fid) | Return feature ids of neighbors for a given feature id
  `train`(dataset) |

  Parameters:

  **kwargs :

  > a dictionary of query objects. Something like dict(voxel_indices=Sphere(3))

  Methods

  `query`(**kwargs) | Return feature ids of neighbors given a specific query
  `query_byid`(fid) | Return feature ids of neighbors for a given feature id
  `train`(dataset) |

  `query_byid`(fid)

    Return feature ids of neighbors for a given feature id

  `train`(dataset)

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.neighborhood »